Package relaxngcc.grammar

# Class PatternWalker

java.lang.Object
relaxngcc.grammar.PatternWalker

All Implemented Interfaces:
  `PatternFunction`

public abstract class PatternWalker extends Object implements PatternFunction
visits a Pattern tree.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`PatternWalker()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`attribute(AttributePattern p)`
`Object`
`choice(ChoicePattern p)`
`Object`
`data(DataPattern p)`
`Object`
`element(ElementPattern p)`
`Object`
`empty(EmptyPattern p)`
`Object`
`group(GroupPattern p)`
`Object`
`interleave(InterleavePattern p)`
`Object`
`javaBlock(JavaBlock p)`
`Object`
`list(ListPattern p)`
`Object`
`notAllowed(NotAllowedPattern p)`
`Object`
`oneOrMore(OneOrMorePattern p)`
`Object`
`ref(RefPattern p)`
`Object`
`scope(Scope s)`
`Object`
`value(ValuePattern p)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface relaxngcc.grammar.PatternFunction

`addError`

## Constructor Details

### PatternWalker

public PatternWalker()

## Method Details

### empty

public Object empty(EmptyPattern p)

Specified by:
  `empty` in interface `PatternFunction`

### notAllowed

public Object notAllowed(NotAllowedPattern p)

Specified by:
  `notAllowed` in interface `PatternFunction`

### group

public Object group(GroupPattern p)

Specified by:
  `group` in interface `PatternFunction`

### interleave

public Object interleave(InterleavePattern p)

Specified by:
  `interleave` in interface `PatternFunction`

### choice

public Object choice(ChoicePattern p)

Specified by:
  `choice` in interface `PatternFunction`

### oneOrMore

public Object oneOrMore(OneOrMorePattern p)

Specified by:
  `oneOrMore` in interface `PatternFunction`

### element

public Object element(ElementPattern p)

Specified by:
  `element` in interface `PatternFunction`

### attribute

public Object attribute(AttributePattern p)

Specified by:
  `attribute` in interface `PatternFunction`

### data

public Object data(DataPattern p)

Specified by:
  `data` in interface `PatternFunction`

### value

public Object value(ValuePattern p)

Specified by:
  `value` in interface `PatternFunction`

### list

public Object list(ListPattern p)

Specified by:
  `list` in interface `PatternFunction`

### ref

public Object ref(RefPattern p)

Specified by:
  `ref` in interface `PatternFunction`

### scope

public Object scope(Scope s)

Specified by:
  `scope` in interface `PatternFunction`

### javaBlock

public Object javaBlock(JavaBlock p)

Specified by:
  `javaBlock` in interface `PatternFunction`